VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::content::library::item::downloadsession::FileTypes::PrepareStatus Class Reference

The `File.PrepareStatus` enumerated type defines the state of the file in preparation for download. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, UNPREPARED, PREPARE_REQUESTED, PREPARING, PREPARED, ERROR }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static PrepareStatus[] | GetValues ()
static PrepareStatus | ValueOf (string name)
## Static Public Attributes
static readonly PrepareStatus | UNPREPARED = new PrepareStatus("UNPREPARED", Values.UNPREPARED)
| The file hasn't been requested for preparation.
static readonly PrepareStatus | PREPARE_REQUESTED = new PrepareStatus("PREPARE_REQUESTED", Values.PREPARE_REQUESTED)
| A prepare has been requested, however the server hasn't started the preparation yet.
static readonly PrepareStatus | PREPARING = new PrepareStatus("PREPARING", Values.PREPARING)
| A prepare has been requested and the file is in the process of being prepared.
static readonly PrepareStatus | PREPARED = new PrepareStatus("PREPARED", Values.PREPARED)
| Prepare succeeded.
static readonly PrepareStatus | ERROR = new PrepareStatus("ERROR", Values.ERROR)
| Prepare failed.

## Detailed Description

The `File.PrepareStatus` enumerated type defines the state of the file in preparation for download.

## Member Enumeration Documentation

enum vmware::content::library::item::downloadsession::FileTypes::PrepareStatus::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  UNPREPARED | The file hasn't been requested for preparation.
  PREPARE_REQUESTED | A prepare has been requested, however the server hasn't started the preparation yet.
  PREPARING | A prepare has been requested and the file is in the process of being prepared.
  PREPARED | Prepare succeeded. The file is ready for download.
  ERROR | Prepare failed.

## Member Function Documentation

Values vmware::content::library::item::downloadsession::FileTypes::PrepareStatus::GetEnumValue | ( |  | ) | `[inline]`

static PrepareStatus [] vmware::content::library::item::downloadsession::FileTypes::PrepareStatus::GetValues | ( |  | ) | `[inline, static]`

bool vmware::content::library::item::downloadsession::FileTypes::PrepareStatus::IsUnknown | ( |  | ) | `[inline]`

static PrepareStatus vmware::content::library::item::downloadsession::FileTypes::PrepareStatus::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly PrepareStatus vmware::content::library::item::downloadsession::FileTypes::PrepareStatus::ERROR = new PrepareStatus("ERROR", Values.ERROR)`[static]`

Prepare failed.

readonly PrepareStatus vmware::content::library::item::downloadsession::FileTypes::PrepareStatus::PREPARE_REQUESTED = new PrepareStatus("PREPARE_REQUESTED", Values.PREPARE_REQUESTED)`[static]`

A prepare has been requested, however the server hasn't started the preparation yet.

readonly PrepareStatus vmware::content::library::item::downloadsession::FileTypes::PrepareStatus::PREPARED = new PrepareStatus("PREPARED", Values.PREPARED)`[static]`

Prepare succeeded.

The file is ready for download.

readonly PrepareStatus vmware::content::library::item::downloadsession::FileTypes::PrepareStatus::PREPARING = new PrepareStatus("PREPARING", Values.PREPARING)`[static]`

A prepare has been requested and the file is in the process of being prepared.

readonly PrepareStatus vmware::content::library::item::downloadsession::FileTypes::PrepareStatus::UNPREPARED = new PrepareStatus("UNPREPARED", Values.UNPREPARED)`[static]`

The file hasn't been requested for preparation.

The documentation for this class was generated from the following file:

- downloadsession/FileTypes.cs